Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

Merchant secret key, or an authorized Platform secret key with delegation.

Headers

Ionic-Account
string

Merchant ID when an authorized Platform acts for a connected Merchant. Omit when authenticating directly as that Merchant.

Pattern: ^mer_[0-9A-Za-z]{14}$
Idempotency-Key
string
required

Reuse only when retrying the same route and request body.

Required string length: 1 - 255

Path Parameters

id
string
required

Ionic Location identifier.

Pattern: ^loc_[0-9A-Za-z]{14}$

Body

application/json
display_name
string

New name for the location.

Required string length: 1 - 100
address
object

Street address of a location.

timezone
string

Valid IANA timezone name, such as America/Chicago.

Minimum string length: 1
merchant_category_code
string

Four-digit Merchant Category Code for the location.

Pattern: ^[0-9]{4}$
external_reference
string

Identifier from your system for the location.

Maximum string length: 128
metadata
object

Up to 50 string keys; keys are at most 40 characters and values are at most 500 characters.

Response

The updated Location.

id
string
required

Unique identifier for the location (loc_…).

Pattern: ^loc_[0-9A-Za-z]{14}$
object
enum<string>
required
Available options:
terminal.location
merchant_id
string
required

ID of the account that owns the location (mer_…).

Pattern: ^mer_[0-9A-Za-z]{14}$
livemode
boolean
required

Derived from the secret key; it cannot be set in the request body.

display_name
string
required

Name for the location.

address
object
required

Street address of a location.

timezone
string
required

IANA timezone name for the location, such as America/Chicago.

merchant_category_code
string
required

Four-digit Merchant Category Code for the location.

Pattern: ^[0-9]{4}$
external_reference
string
required

Empty when no external reference is assigned.

metadata
object
required

Up to 50 string keys; keys are at most 40 characters and values are at most 500 characters.

created_at
integer<int64>
required

Unix epoch seconds.

updated_at
integer<int64>
required

Unix epoch seconds.